Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_StrCharStream Class Reference

`#include <StrCharStream.h>`

Inheritance diagram for ACEXML_StrCharStream:

[legend]
Collaboration diagram for ACEXML_StrCharStream:

[legend]
List of all members.

## Public Methods
| ACEXML_StrCharStream (void)
| Default constructor.
virtual | ~ACEXML_StrCharStream (void)
| Destructor.
int | open (const ACEXML_Char *str, const ACEXML_Char *name)
| Initializing StrCharStream with str and name.
virtual int | available (void)
virtual int | close (void)
virtual int | determine_encoding (void)
virtual int | get (ACEXML_Char &ch)
virtual int | read (ACEXML_Char *str, size_t len)
virtual int | peek (void)
virtual const ACEXML_Char * | getEncoding (void)
virtual const ACEXML_Char * | getSystemId (void)
virtual void | rewind (void)
## Private Attributes
ACEXML_Char * | start_
ACEXML_Char * | ptr_
ACEXML_Char * | end_
ACEXML_Char * | encoding_
ACEXML_Char * | name_

## Detailed Description

An implementation of ACEXML_CharStream for reading input from a null-terminated ACEXML_Char string.

## Constructor & Destructor Documentation

ACEXML_StrCharStream::ACEXML_StrCharStream | ( | void |  | ) |

| Default constructor.

ACEXML_StrCharStream::~ACEXML_StrCharStream | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int ACEXML_StrCharStream::available | ( | void |  | ) | `[virtual]`

| Returns the available ACEXML_Char in the buffer. -1 if the object is not initialized properly. Implements ACEXML_CharStream.

int ACEXML_StrCharStream::close | ( | void |  | ) | `[virtual]`

| Close this stream and release all resources used by it. Implements ACEXML_CharStream.

int ACEXML_StrCharStream::determine_encoding | ( | void |  | ) | `[virtual]`

| Determine the encoding of the file.

int ACEXML_StrCharStream::get | ( | ACEXML_Char & | ch | ) | `[virtual]`

| Read the next ACEXML_Char. Return -1 if we are not able to return an ACEXML_Char, 0 if EOS is reached, or 1 if succeed. Implements ACEXML_CharStream.

const ACEXML_Char * ACEXML_StrCharStream::getEncoding | ( | void |  | ) | `[virtual]`

| Implements ACEXML_CharStream.

const ACEXML_Char * ACEXML_StrCharStream::getSystemId | ( | void |  | ) | `[virtual]`

| Implements ACEXML_CharStream.

int ACEXML_StrCharStream::open | ( | const ACEXML_Char * | str,
|  | const ACEXML_Char * | name
| ) |

| Initializing StrCharStream with str and name.

int ACEXML_StrCharStream::peek | ( | void |  | ) | `[virtual]`

| Peek the next ACEXML_Char in the CharStream. Return the character if succeess, -1 if EOS is reached. Implements ACEXML_CharStream.

int ACEXML_StrCharStream::read | ( | ACEXML_Char * | str,
|  | size_t | len
| ) | `[virtual]`

| Read the next batch of ACEXML_Char strings Implements ACEXML_CharStream.

void ACEXML_StrCharStream::rewind | ( | void |  | ) | `[virtual]`

| Resets the pointer to the beginning of the stream. Implements ACEXML_CharStream.

## Member Data Documentation

ACEXML_Char* ACEXML_StrCharStream::encoding_`[private]`

ACEXML_Char* ACEXML_StrCharStream::end_`[private]`

ACEXML_Char* ACEXML_StrCharStream::name_`[private]`

ACEXML_Char* ACEXML_StrCharStream::ptr_`[private]`

ACEXML_Char* ACEXML_StrCharStream::start_`[private]`

The documentation for this class was generated from the following files:

- StrCharStream.h
- StrCharStream.cpp